package com.device.comm.mylibrary.NativeDevice.cgmadi.constants;


import com.device.comm.mylibrary.NativeDevice.cgmadi.bean.RequestBean;
import com.device.comm.mylibrary.NativeDevice.cgmadi.enums.Data;
import com.device.comm.mylibrary.NativeDevice.cgmadi.enums.OBJCode;
import com.device.comm.mylibrary.NativeDevice.cgmadi.enums.OPCode;

public class Command
{
  public static final RequestBean MONITOR_START = new RequestBean(OPCode.SET, OBJCode.MONITOR, Data.START,
    1);
  public static final RequestBean MONITOR_STOP = new RequestBean(OPCode.SET, OBJCode.MONITOR, Data.STOP,
    2);
  public static final RequestBean MONITOR_STATUS = new RequestBean(OPCode.GET, OBJCode.MONITOR, 14);
  public static final RequestBean AC = new RequestBean(OPCode.GET, OBJCode.AC, 3);
  public static final RequestBean AD = new RequestBean(OPCode.GET, OBJCode.AD, 4);
  public static final RequestBean GET_NAME = new RequestBean(OPCode.GET, OBJCode.NAME, 5);
  public static final RequestBean GET_MAXNUM = new RequestBean(OPCode.GET, OBJCode.MAXNUM, 6);
  public static final RequestBean CON_DIS = new RequestBean(OPCode.SET, OBJCode.CON_DIS, 7);
  public static final RequestBean GET_SN = new RequestBean(OPCode.GET, OBJCode.SN, 8);
  public static final RequestBean GET_VERSION = new RequestBean(OPCode.GET, OBJCode.VERSION, 9);
  public static final RequestBean AUTHO = new RequestBean(OPCode.GET, OBJCode.AUTHO, new byte[6], 
    10);
  public static final RequestBean GET_RECORD = new RequestBean(OPCode.GET, OBJCode.RECORD, 11);
  public static final RequestBean GET_BATTERY = new RequestBean(OPCode.GET, OBJCode.BATTERY, 15);


  public Command() {}
}


/* Location:              /Users/lvwang2002/Desktop/CodeSource/work/DY_GLUCOSE/thapi_test/libs/cgmthapi.jar!/com/sanme/cgmadi/bluetooth4/constants/Command.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */